## s25client_src_v0.9.5.tar.gz

=== extras/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

# Meta target that depends on all drivers
add_custom_target(drivers)

# Minimal visibility to avoid name clashes among plugins
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN ON)

add_subdirectory(audioDrivers)
add_subdirectory(videoDrivers)
if(RTTR_BUNDLE AND APPLE)
    add_subdirectory(macosLauncher)
endif()

if(MSVC)
  option(RTTR_ENABLE_VLD "Enable use of Visual Leak Detector" OFF)
  option(RTTR_ENABLE_VLD_FORCED "Force using of Visual Leak Detector (in non-Debug builds)" OFF)
else()
  set(RTTR_ENABLE_VLD OFF)
endif()
add_library(rttr_vld INTERFACE)
add_library(rttr::vld ALIAS rttr_vld)
target_compile_definitions(rttr_vld INTERFACE RTTR_HAS_VLD=$<BOOL:${RTTR_ENABLE_VLD}>)
if(RTTR_ENABLE_VLD)
  find_package(VLD 2.5.1 REQUIRED)
  target_link_libraries(rttr_vld INTERFACE vld::vld)
  if(RTTR_ENABLE_VLD_FORCED)
    target_compile_definitions(rttr_vld INTERFACE VLD_FORCE_ENABLE)
  endif()
endif()

=== external/glad/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

# Note: Sources and headers are generated using http://glad.dav1d.de/ on 07.07.2018
# See glad.h for details

include(ConstrainedOption)
constrained_option(RTTR_OPENGL
    DEFAULT "OGL2.0Compat"
    DESCRIPTION "The OpenGL version to use"
    VALUES OGL2.0Compat OGL2.0 OGL2.1Compat OGL2.1 OGL3.3 GLES2.0)

string(REGEX MATCH "^(OGL|GLES)([0-9])\\.([0-9])(Compat)?$" ogl_match ${RTTR_OPENGL})
if(NOT ogl_match)
    message(FATAL_ERROR "Invalid value for RTTR_OPENGL: ${RTTR_OPENGL}.")
endif()
set(RTTR_OGL_MAJOR ${CMAKE_MATCH_2})
set(RTTR_OGL_MINOR ${CMAKE_MATCH_3})
if(CMAKE_MATCH_0 STREQUAL "GLES")
    set(RTTR_OGL_ES 1)
    set(rttr_glad_folder "OpenGLES")
else()
    set(RTTR_OGL_ES 0)
    set(rttr_glad_folder "OpenGL")
endif()
if(CMAKE_MATCH_4 STREQUAL "Compat")
    set(RTTR_OGL_COMPAT 1)
else()
    set(RTTR_OGL_COMPAT 1)
endif()
get_filename_component(rttr_glad_folder "${rttr_glad_folder}${RTTR_OGL_MAJOR}.${RTTR_OGL_MINOR}${CMAKE_MATCH_4}" ABSOLUTE)
configure_file(openglCfg.hpp.cmake include/openglCfg.hpp @ONLY)

add_library(glad STATIC ${rttr_glad_folder}/src/glad.c)
set(includeFolder ${CMAKE_CURRENT_BINARY_DIR}/include)
file(REMOVE ${includeFolder})
file(COPY ${rttr_glad_folder}/include DESTINATION .)
target_include_directories(glad PUBLIC ${includeFolder})
if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
	target_link_libraries(glad PUBLIC ${CMAKE_DL_LIBS})
endif()

=== external/libsiedler2/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

# Project meant to be used as part of a super project including libutil and libendian
cmake_minimum_required(VERSION 3.9)
if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()
project(libsiedler2)

# If top-level project
if(PROJECT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    set(isTopLevel TRUE)
    find_path(RTTR_LIBUTIL_DIR NAMES "libs/common/include/s25util" HINTS ${CMAKE_CURRENT_SOURCE_DIR}/../libutil PATHS ENV LIBUTIL_DIR PATH_SUFFIXES ".." libutil)
    if(NOT RTTR_LIBUTIL_DIR)
        message(FATAL_ERROR "Path to libutil not found! You can set the full path in the env var LIBUTIL_DIR ($ENV{LIBUTIL_DIR})")
    endif()

    find_path(RTTR_LIBENDIAN_DIR NAMES "include/libendian" HINTS ${CMAKE_CURRENT_SOURCE_DIR}/../libendian PATHS ENV LIBENDIAN_DIR PATH_SUFFIXES ".." libendian)
    if(NOT RTTR_LIBENDIAN_DIR)
        message(FATAL_ERROR "Path to libendian not found! You can set the full path in the env var LIBENDIAN_DIR ($ENV{LIBENDIAN_DIR})")
    endif()

    list(APPEND CMAKE_MODULE_PATH "${RTTR_LIBUTIL_DIR}/cmake")
    if(CMAKE_VERSION VERSION_LESS 3.14)
        list(APPEND CMAKE_MODULE_PATH "${RTTR_LIBUTIL_DIR}/cmake/cmake_3.14")
    endif()

    include(RttrCoverageCfg)
    include(EnableCCache)
    # Use clang-format if available
    find_package(ClangFormat 10 EXACT)
else()
    set(isTopLevel FALSE)
endif()


include(RttrBoostCfg)
find_package(Boost 1.69 REQUIRED COMPONENTS system filesystem iostreams)

include(RttrTestingCfg)
if(isTopLevel)
    add_subdirectory(${RTTR_LIBUTIL_DIR} libutil)
    add_subdirectory(${RTTR_LIBENDIAN_DIR} libendian)
endif()

file(GLOB _sources src/*.cpp)
file(GLOB_RECURSE _headers include/*.h include/*.hpp)
add_library(siedler2 STATIC ${_sources} ${_headers})

target_include_directories(siedler2 INTERFACE include PRIVATE include/libsiedler2)
target_link_libraries(siedler2 PUBLIC s25util::common Boost::filesystem PRIVATE Boost::nowide Boost::iostreams endian::interface)
target_compile_features(siedler2 PUBLIC cxx_std_14)
set_target_properties(siedler2 PROPERTIES CXX_EXTENSIONS OFF)
if(WIN32)
    target_compile_definitions(siedler2 PUBLIC NOMINMAX)
endif()

include(EnableWarnings)
enable_warnings(siedler2)

if(ClangFormat_FOUND)
    add_clangformat_files(${_sources} ${_headers})
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

option(RTTR_BUILD_LIBSIEDLER2_EXAMPLES "Build example projects/tools of libsiedler2" ${isTopLevel})
if(RTTR_BUILD_LIBSIEDLER2_EXAMPLES)
    add_subdirectory(examples)
endif()

if(isTopLevel AND ClangFormat_FOUND)
    add_clangformat_target("file")
endif()

=== external/mygettext/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

find_package(Iconv REQUIRED)
find_package(Boost 1.55 REQUIRED COMPONENTS filesystem)

get_filename_component(parentPath ${CMAKE_CURRENT_SOURCE_DIR} DIRECTORY)
set(includePath ${parentPath}/include)

set(SRC_FILES
	src/mygettext.cpp include/mygettext/mygettext.h
	src/gettext.cpp include/mygettext/gettext.h
	src/readCatalog.cpp include/mygettext/readCatalog.h
	src/utils.cpp include/mygettext/utils.h
	src/LocaleInfo.cpp include/mygettext/LocaleInfo.h
	)
add_library(mygettext STATIC ${SRC_FILES})

target_include_directories(mygettext PUBLIC include)
target_include_directories(mygettext SYSTEM PRIVATE ${ICONV_INCLUDE_DIR})
target_link_libraries(mygettext PRIVATE ${ICONV_LIBRARY} Boost::filesystem Boost::nowide PUBLIC Boost::disable_autolinking)
target_compile_features(mygettext PUBLIC cxx_std_14)
set_target_properties(mygettext PROPERTIES CXX_EXTENSIONS OFF)

include(EnableWarnings)
enable_warnings(mygettext)

if(ClangFormat_FOUND)
    add_clangFormat_files(${SRC_FILES})
endif()

include(RttrTestingCfg)
if(BUILD_TESTING)
    add_subdirectory(tests)
    if(ClangFormat_FOUND)
        add_ClangFormat_folder(tests TRUE)
    endif()
endif()

=== external/s25edit/CMakeLists.txt ===
# Copyright (C) 2009 - 2021 Marc Vester (XaserLE)
# Copyright (C) 2009 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.8)

project(s25edit)

find_package(Boost 1.64 REQUIRED)

add_subdirectory(SGE)

option(RTTR_EDITOR_ADMINMODE "In admin mode there are some key combos to open debugger, resource viewer and so on" OFF)
if(RTTR_EDITOR_ADMINMODE)
	add_definitions(-D_ADMINMODE)
endif()

file(GLOB MAIN_SOURCES *.cpp *.h include/*.h)
file(GLOB CIO_SOURCES CIO/*.cpp CIO/*.h)
SOURCE_GROUP(Main FILES ${MAIN_SOURCES})
SOURCE_GROUP(CIO FILES ${CIO_SOURCES})

if(WIN32)
    if(CMAKE_HOST_WIN32)
        SET(icon_RC "${CMAKE_CURRENT_SOURCE_DIR}/s25edit.rc")
        if(MSVC)
            string(APPEND CMAKE_EXE_LINKER_FLAGS " /MANIFEST:NO")
        endif()
    else()
        ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/s25edit.res.o
                           COMMAND ${CMAKE_RC_COMPILER} -I${CMAKE_CURRENT_SOURCE_DIR}/ -i${CMAKE_CURRENT_SOURCE_DIR}/s25edit.rc -o ${CMAKE_CURRENT_BINARY_DIR}/s25edit.res.o)

        SET(icon_RC ${CMAKE_CURRENT_BINARY_DIR}/s25edit.res.o)
    endif()
ELSE()
	SET(icon_RC "")
ENDIF()

add_executable(s25edit ${MAIN_SOURCES} ${CIO_SOURCES} ${icon_RC})
target_link_libraries(s25edit PRIVATE SGE rttrConfig s25Common gamedata endian::static Boost::nowide PUBLIC Boost::disable_autolinking)
target_include_directories(s25edit PRIVATE include)

if(MINGW)
  target_link_libraries(s25edit PRIVATE -mconsole)
endif()

if(RTTR_BINDIR)
	INSTALL(TARGETS s25edit RUNTIME DESTINATION ${RTTR_BINDIR})
endif()

if(ClangFormat_FOUND)
    add_clangFormat_files(${MAIN_SOURCES} ${CIO_SOURCES})
endif()

=== external/s25update/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(src)

=== extras/audioDrivers/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

rttr_set_output_dir(RUNTIME ${RTTR_DRIVERDIR}/audio)
rttr_set_output_dir(LIBRARY ${RTTR_DRIVERDIR}/audio)

add_subdirectory(SDL)

=== extras/macosLauncher/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

if(NOT RTTR_BUNDLE OR NOT RTTR_MACOS_DIR)
    message(FATAL_ERROR "Can only use this in a bundle")
endif()

add_executable(starter starter.cpp)
target_link_libraries(starter PRIVATE s25util::common rttrConfig Boost::nowide)
set(MACOSX_BUNDLE_EXECUTABLE_NAME "starter${CMAKE_EXECUTABLE_SUFFIX}")
set(MACOSX_BUNDLE_BUNDLE_VERSION "${RTTR_VERSION}")
set(MACOSX_BUNDLE_COPYRIGHT "(C) 2005-2018 Settlers Freaks")
set(MACOSX_BUNDLE_LONG_VERSION_STRING "${RTTR_REVISION}")
set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RTTR_VERSION}")
configure_file(Info.plist.in ${PROJECT_BINARY_DIR}/Info.plist @ONLY)
install(TARGETS starter DESTINATION ${RTTR_BINDIR})
install(FILES rttr.terminal DESTINATION ${RTTR_BINDIR})
install(FILES ${PROJECT_BINARY_DIR}/Info.plist DESTINATION ${RTTR_MACOS_DIR}/..)
install(FILES icon.icns DESTINATION ${RTTR_MACOS_DIR}/../Resources)

=== libs/libsamplerate/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

add_library(samplerate_cpp INTERFACE)
target_include_directories(samplerate_cpp INTERFACE include)
target_link_libraries(samplerate_cpp INTERFACE samplerate)
target_compile_features(samplerate_cpp INTERFACE cxx_std_11)
enable_warnings(samplerate_cpp)

=== libs/rttrConfig/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

add_library(rttrConfig STATIC
  src/files.h
  src/RTTR_Version.cpp
  src/RTTR_Version.h
  src/RttrConfig.cpp
  src/RttrConfig.h
)
target_include_directories(rttrConfig INTERFACE src)
target_link_libraries(rttrConfig
    PUBLIC s25util::common Boost::filesystem
    PRIVATE s25Common
)
set_property(TARGET rttrConfig PROPERTY POSITION_INDEPENDENT_CODE ON)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/build_paths.h.cmake build_paths.h @ONLY)

# This should happen in the top-level CMakeLists
if(NOT RTTR_REVISION OR NOT RTTR_VERSION)
    message(FATAL_ERROR "Internal error: RTTR_REVISION or RTTR_VERSION not set")
endif()
string(TIMESTAMP RTTR_BUILD_DATE "%Y%m%d")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/build_version_defines.h.cmake build_version_defines.h @ONLY)

target_include_directories(rttrConfig PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

include(EnableWarnings)
enable_warnings(rttrConfig)

=== libs/s25client/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

# Add Icon to Application
if(WIN32)
    set(rcDir ${PROJECT_SOURCE_DIR}/data/win32)
    if(CMAKE_HOST_WIN32)
        set(s25client_RC ${rcDir}/s25client.rc)
    else()
        add_definitions(-DAFX_TARG_DEU)
        set(s25client_RC ${CMAKE_CURRENT_BINARY_DIR}/s25client.res.o)
        add_custom_command(OUTPUT ${s25client_RC}
                           COMMAND ${CMAKE_RC_COMPILER} -I${rcDir}/ -i${rcDir}/s25client.rc -o ${s25client_RC})

    endif()
else()
    set(s25client_RC )
endif()

add_executable(s25client s25client.cpp commands.cpp ${s25client_RC})
target_link_libraries(s25client PRIVATE s25Main Boost::program_options Boost::nowide rttr::vld)
add_dependencies(s25client drivers)

if(WIN32)
    target_include_directories(s25client PRIVATE ${rcDir})
    target_link_libraries(s25client PRIVATE ole32 ws2_32 shlwapi imagehlp)
    if(MSVC)
        set_target_properties(s25client PROPERTIES LINK_FLAGS /MANIFEST:NO)
    endif()
    if(CMAKE_COMPILER_IS_GNUCXX)
        set_target_properties(s25client PROPERTIES LINK_FLAGS -Wl,--stack,8388608)
    endif()
elseif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    target_link_libraries(s25client PRIVATE pthread)
elseif(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    target_link_libraries(s25client PRIVATE execinfo)
ENDif()

if(MSVC)
    set_property(DIRECTORY ${CMAKE_SOURCE_DIR} PROPERTY VS_STARTUP_PROJECT s25client)
endif()

if(WIN32)
    include(GatherDll)
    gather_dll_copy(s25client)
endif()

INSTALL(TARGETS s25client RUNTIME DESTINATION ${RTTR_BINDIR})

=== tests/libGameData/CMakeLists.txt ===
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

add_testcase(NAME gameData
    LIBS gamedata legacyTestfiles testHelpers rttr::vld
)

=== tools/release/debian/control ===
Source: s25rttr
Section: games
Priority: optional
Bugs: <https://bugs.siedler25.org>
Homepage: https://www.siedler25.org
Maintainer: Return To The Roots Team <sf-team@siedler25.org>
Build-Depends: debhelper (>= 7), debconf (>=0.2.17), cmake (>=3.8), libsdl2-dev, libsdl-mixer2-dev, gettext, libminiupnpc-dev (>=1.3), libcurl4-openssl-dev, libbz2-dev, liblua5.2-dev
Standards-Version: 3.8.0
XS-Vcs-Bzr: lp:s25rttr
XS-Vcs-Browser: http://bazaar.launchpad.net/~flosoft/s25rttr/trunk/files

Package: s25rttr-common
Architecture: all
Depends: debconf (>=0.2.17)
Suggests: s25rttr
Description: Dies ist das Allgemeine Paket von Return To The Roots
 .
 This is the common package of Return To The Roots
 .
 Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

Package: s25rttr-maps
Architecture: all
Depends: s25rttr-common
Suggests: s25rttr
Description: Dies ist das Kartenpaket von Return To The Roots
 .
 This is the Map package of Return To The Roots
 .
 Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

Package: s25rttr-music
Architecture: all
Depends: s25rttr-common
Suggests: s25rttr
Description: Dies ist das Musikpaket von Return To The Roots
 .
 This is the Music package of Return To The Roots
 .
 Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

Package: s25rttr
Architecture: i386 amd64
Depends: s25rttr-common (= ${binary:Version}), s25rttr-maps, s25rttr-music, libsdl2-2.0-0, libsdl2-mixer-2.0-0, libminiupnpc (>=1.3), liblua5.2-0
Replaces: s25client
Provides: s25rttr
Description: Return To The Roots ist eine Nachprogrammierung des bekannten Spieles "Die Siedler II" von Bluebyte. 
 Es untersttzt Multiplayer-Spiele im Internet und LAN. 
 .
 Nicht vergessen: Die Originaldateien von Die Siedler II Gold mssen nach /usr/share/s25rttr/S2 kopiert werden und mssen fr den Nutzer lesbar sein.
 .
 Return To The Roots is a remake of the game The Settlers 2 of Bluebyte. 
 It supports multiplayer games via ethernet and internet. 
 .
 Don't forget: The original game files of The Settlers II Gold must be copied to /usr/share/s25rttr/S2 and must be readably for the user to play this game.

=== tools/release/debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2005 - 2021 Settlers Freaks <sf-team at siedler25.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq ($(DH_VERBOSE),1)
	CMAKE_VERBOSE=-DCMAKE_VERBOSE_MAKEFILE=ON
else
	CMAKE_VERBOSE=
endif

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	CMAKE_ARCH=
else
	CMAKE_ARCH=-DCMAKE_TOOLCHAIN_FILE=../cmake/toolchains/c.$(DEB_BUILD_ARCH_OS).$(DEB_BUILD_GNU_CPU).cmake
endif

VERSION="$$(head debian/changelog -n 1 | cut -d '-' -f 1 | cut -d '(' -f 2)"
REVISION="$$(head debian/changelog -n 1 | cut -d '-' -f 2 | cut -d ')' -f 1)"
CMAKE_RTTR_VERSION=-DRTTR_VERSION=$(VERSION) -DRTTR_REVISION=$(REVISION)

# configure
build/Makefile:
	dh_testdir

	# Add here commands to configure the package.
	mkdir -p build && cd build && \
    cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_PREFIX_PATH=/usr $(CMAKE_VERBOSE) $(CMAKE_ARCH) $(CMAKE_RTTR_VERSION) -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON

# and make
build: build-stamp

build-stamp: build/Makefile
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C build -j 3

	touch $@

# clean up
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf build

	dh_clean

# install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/s25rttr.
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/s25rttr install

	# copy menu items
	mkdir -vp $(CURDIR)/debian/s25rttr/usr/share/pixmaps $(CURDIR)/debian/s25rttr/usr/share/applications
	cp -v $(CURDIR)/debian/s25rttr.png $(CURDIR)/debian/s25rttr/usr/share/pixmaps/
	cp -v $(CURDIR)/debian/s25rttr.desktop $(CURDIR)/debian/s25rttr/usr/share/applications/

	# remove updater
	rm -vf $(CURDIR)/debian/s25rttr/usr/bin/s25update

	# move maps to maps-package
	mkdir -vp $(CURDIR)/debian/s25rttr-maps/usr/share/s25rttr/RTTR
	mv -v $(CURDIR)/debian/s25rttr/usr/share/s25rttr/RTTR/MAPS $(CURDIR)/debian/s25rttr-maps/usr/share/s25rttr/RTTR

	# move music to music-package
	mkdir -vp $(CURDIR)/debian/s25rttr-music/usr/share/s25rttr/RTTR
	mv -v $(CURDIR)/debian/s25rttr/usr/share/s25rttr/RTTR/MUSIC $(CURDIR)/debian/s25rttr-music/usr/share/s25rttr/RTTR

	# move data to common-package (except drivers)
	mkdir -vp $(CURDIR)/debian/s25rttr-common/usr/share/s25rttr
	mv -v $(CURDIR)/debian/s25rttr/usr/share/s25rttr/S2/* $(CURDIR)/debian/s25rttr-common/usr/share/s25rttr/S2
	mv -v $(CURDIR)/debian/s25rttr/usr/share/s25rttr/RTTR/* $(CURDIR)/debian/s25rttr-common/usr/share/s25rttr/RTTR

# Build architecture-independent files here.
binary-indep: install

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip --dbg-package=s25rttr-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
